{ ... }:
{
  services.nix-plist-manager = {
    enable = true;
    options = {
      applications.systemSettings = {
        #   # allowWallpaperTintingInWindows = true;
        general = {
          softwareUpdate = {
            automaticallyDownloadNewUpdatesWhenAvailable = true;
            automaticallyInstallMacOSUpdates = false;
            automaticallyInstallApplicationUpdatesFromTheAppStore = false;
            automaticallyInstallSecurityResponseAndSystemFiles = true;
          };
          # dateAndTime = {
          #   # setTimeAndDateAutomatically = true;
          #   "24HourTime" = "System";
          #   # show24HourTimeOnLockScreen = false;
          #   # setTimeZoneAutomaticallyUsingCurrentLocation = true;
          # };
          #     keyboard = {
          #       keyRepeatRate = 6; # 1-7
          #       keyRepeatDelay = 4; # 1-6
          #       adjustKeyboardBrightnessInLowLight = true;
          #       keyboardBrightness = 0.5;
          #       turnKeyboardBacklightOffAfterInactivity = "Never";
          #       pressGlobeKeyTo = "Show Emoji & Symbols";
          #       keyboardNavigation = false;
          #       useF1F2EtcAsStandardFunctionKeys = false;
          #       dictation.enabled = false;
          #     };
        };
        #   trackpad = {
        #     trackingSpeed = 4;
        #     click = "Medium";
        #     forceClickAndHapticFeedback = true;
        #     tapToClick = true;
        #   };
      };
    };
  };
}
